#include <iostream>
#include <cstdio>
#include <fstream.h>

using namespace std;

int main(){
 
 ifstream input;
 ofstream output;
 
 int M1[1002]={0};
 int N1[1002]={0};
 
 long N;
 long M; 
 
 long i;
 long j;
 double sum=0;
 long min;
 int pr=0;
 
 input.open("E.in");
 output.open("E.out");
 input>>N;
 input>>M;
 
 min = (N>M) ? M : N;
 output<<min<<" ";
 
 for (i=1; i<=N; i++){
 	input>>j;
	N1[j]++;
 }
 for (i=1; i<=M; i++){
 	input>>j;
	M1[j]++;
 }
 
 int jN=0;
 int jM=0;

 if (N>M){
 	jN=1;
 	jM=1000;
 
	 for (i=0; i<M; i++){
	 	do{
	              	if (M1[jM] > 0){
				M1[jM]--;
				break;
			}
			else
				jM--;
		}
		while(pr==0);
 	
		do{
        	      	if (N1[jN] > 0){
				N1[jN]--;
				break;
			}
			else
				jN++;
		}
		while(pr==0);
		sum+=jN*jM;
 	} 
 }
 else{
 	jN=1000;
 	jM=1;
 
	 for (i=0; i<N; i++){
	 	do{
	              	if (N1[jN] > 0){
				N1[jN]--;
				break;
			}
			else
				jN--;
		}
		while(pr==0);
 	
		do{
        	      	if (M1[jM] > 0){
				M1[jM]--;
				break;
			}
			else
				jM++;
		}
		while(pr==0);
		sum+=jN*jM;
 	} 
 }
 
 output<<sum;
 input.close();
 output.close();

return 0;
}